投稿者 トピック: 最新版のMinGWでコンパイルに失敗する  (参照数 3935 回)

z9999+

  • 管理人
  • 急行
  • *
  • 投稿: 366
最新版のMinGW (GCC 4.6.1)では、"-mno-cygwin"フラグを使用するとエラーになり、コンパイルに失敗する。
Makefileを修正して、"-mno-cygwin"フラグを取り除くとコンパイル可能。


This was reported in a japanese community.

Latest MinGW (GCC 4.6.1) doesn't recognize "-mno-cygwin" flag anymore, it will cause compiling error.

引用
cc1: error: unrecognized command line option "-mno-cygwin"

Easy workaround is to remove "-mno-cygwin" flag from Makefile.
But it might cause problem for the people who use older cygwin.
Three of Makefile - simutrans, makeobj, nettools - contain this flag.

prissi

  • 各駅停車
  • *
  • 投稿: 45
Re:最新版のMinGWでコンパイルに失敗する
« 返信 #1 on: 2011/12/03 06:59 »
How does this work, when cygwin and mingw are installed on the same computer? And the last release is 4.4.0 for mingw. I consider changing this but given the problems with bleeting edge gcc 4.x.x we had in the past I might waiting a little time to see what the mingw team does next.

(And why they do not just ignore this flag is beyond my knowledge, sigh.)

z9999+

  • 管理人
  • 急行
  • *
  • 投稿: 366
Re:最新版のMinGWでコンパイルに失敗する
« 返信 #2 on: 2011/12/03 22:25 »
I have no idea, sorry.

prissi

  • 各駅停車
  • *
  • 投稿: 45
Re:最新版のMinGWでコンパイルに失敗する
« 返信 #3 on: 2011/12/12 06:47 »
Anyway, I followed your suggestion, as the cygwin mingw is seriously broken anyway, when I tried.